UFF/BondStretch.h File Reference
`#include <RDGeneral/export.h>`
`#include <ForceField/Contrib.h>`

Go to the source code of this file.

## Classes

class | ForceFields::UFF::BondStretchContrib
| The bond-stretch term for the Universal Force Field. More...

## Namespaces

| ForceFields
| ForceFields::UFF
| ForceFields::UFF::Utils

## Functions

RDKIT_FORCEFIELD_EXPORT double | ForceFields::UFF::Utils::calcBondRestLength (double bondOrder, const AtomicParams *end1Params, const AtomicParams *end2Params)
| calculates and returns the UFF rest length for a bond More...
RDKIT_FORCEFIELD_EXPORT double | ForceFields::UFF::Utils::calcBondForceConstant (double restLength, const AtomicParams *end1Params, const AtomicParams *end2Params)
| calculates and returns the UFF force constant for a bond More...